#ifndef	_DENETWINCLIENTUSER_HPP
#define _DENETWINCLIENTUSER_HPP

#ifndef		_DECLIENT_HPP
 #include	"..\..\deNet\deClient.hpp" 
#endif

class deNetWinClientUser : public deClient
{
public:

	deNetWinClientUser(void)			{ }
	virtual ~deNetWinClientUser(void)	{ }

	virtual eNetError	OnTick( void );

protected:

	virtual eNetError	OnCustomMsg( deNetMsg * pMsg );
	virtual eNetError	OnNewConnection( deConnection * pConn );
	virtual eNetError	OnRemoveConnnection( deConnection * pConn );
};

#endif